{ config, pkgs, ... }:

let
  domain = "htrad.giugl.io";
in
{
  services.radarr = {
    enable = true;
    package = pkgs.unstablePkgs.radarr;
    group = "media";
  };

  architect.vhost.${domain} = with config.architect.networks; {
    dnsInterfaces = [ "tailscale" ];
    locations."/" = {
      port = 7878;
      allowLan = true;

      allow = [
        tailscale.net
      ];
    };
  };

  users.groups.media.members = [ "radarr" ];
}
